=== shared-mime-info 0.70 ===

2009-10-06  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 0.70

2009-10-06  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/list:
	* tests/test.metalink: Add metalink, patch from Ville
	Skyttä <ville.skytta@iki.fi> (Closes: #23738)

2009-10-06  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/fuji.themepack:
	* tests/list: Add Windows theme packs (Closes: #23314)

2009-10-06  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/archive.tar:
	* tests/comics.cbt:
	* tests/list: Add cbt (tarred-up Comic Books),
	patch from juanj.marin@juntadeandalucia.es (Closes: #22724)

2009-10-06  David Faure  <faure@kde.org>

	* freedesktop.org.xml.in: Make text/vnd.graphviz magic stricter
	so that it doesn't match "paragraph ". (Closes: #22534)
	* tests/list:
	* tests/test.tex: Testcase for the above problem.

2009-10-06  David Faure  <faure@kde.org>

	* freedesktop.org.xml.in: Add kexi mimetypes (from #18109)
	even though the xdgmime bug mentionned in #18109 isn't fixed.

	* tests/list:
	* tests/sqlite2.kexi:
	* tests/sqlite3.kexi: Add testcase for kexi mimetypes.

2009-10-06  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/list:
	* tests/test.lzo: Add acronym, magic and test case for LZO
	archives, patch from Ville Skyttä <ville.skytta@iki.fi>
	(Closes: #22861)

2009-10-06  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add acronyms for CSV and TSV,
	patch from Ville Skyttä <ville.skytta@iki.fi> (Closes: #22860)

2009-10-06  Bastien Nocera  <hadess@hadess.net>

	* tests/list: Add test case for core vs. Core files
	(Closes: #22634)

2009-10-06  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/list:
	* tests/test.lz: Add application/x-lzip mime-type, patch from
	Ville Skyttä <ville.skytta@iki.fi> (Closes: #23258)

2009-10-06  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add tar.bz2 files as subclasses of
	application/x-bzip-compressed-tar, patch by traydent@gmail.com
	(Closes: #23391)

2009-10-05  Bastien Nocera  <hadess@hadess.net>

	* HACKING:
	* Makefile.am: Update for transifex.net use

2009-10-02  Alexander Larsson  <alexl@redhat.com>

	* freedesktop.org.xml.in:
	Correct magic for application/x-mswinurl, offset is 11 not 10,
	because the newline is cr + lf. See tests/test.url

2009-10-02  Alexander Larsson  <alexl@redhat.com>

	Based on patch from David Faure <faure@kde.org>

	* shared-mime-info-spec.xml: Define new case-sensitive attribute, and
	change the text from the two-step glob match to a single glob match,
	that is either case sensitive or case insensitive. Add flags field to
	globs2 file, define the "cs" flag.

	* freedesktop.org.xml.in:
	Make core, *.c and *.C case sensitive  (Closes: #22634)

	* update-mime-database.c:
	Process case-sensitive flag, write it out in globs2 and mime.cache

	* tests/list:
	Mark as expected success the previously problematic
	case sensitive issues.

2009-09-30  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Fix "make check" problem for MRML.

2009-09-26  David Faure  <faure@kde.org>

	* freedesktop.org.xml.in: Add expanded-acronym for MRML in text/x-mrml.

2009-09-24  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add magic for another MP4 file type

2009-09-22  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add magic for RealMedia Format files

2009-09-18  David Faure  <faure@kde.org>

	* freedesktop.org.xml.in: Remove wrong magic for application/x-java-archive.
	The 0xcafe magic is really for java class files and since they get compressed
	we won't find it anywhere in the jar file. I even found it in normal zip files
	for completely unrelated reasons, so it doesn't make sense to have it.

2009-09-17  David Faure  <faure@kde.org>

	* freedesktop.org.xml.in: Add application/java-archive alias
	for application/x-java-archive so that distributions can get rid
	of /usr/share/mime/packages/sun-java6-jre.xml, which was defining 
	another mimetype for the *.jar glob, causing
	https://bugs.launchpad.net/ubuntu/+source/krusader/+bug/309778

2009-09-16  Pino Toscano  <pino@kde.org>

	* freedesktop.org.xml.in: Add image/openraster mimetype. References:
	http://create.freedesktop.org/wiki/OpenRaster/File_Layout_Specification
	* tests/mypaint.ora: Test data for image/openraster mimetype;
	taken from the mypaint examples.
	* tests/list: Add test case to the list.

2009-09-15  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add PSP MP4 video type

2009-07-31  Bastien Nocera  <hadess@hadess.net>

	* tests/list: Fix test suite for those pesky PS files

2009-07-31  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add *.otf as a glob for
	OpenType fonts so file managers use magic to check
	for fonts vs. OO.o documents (Closes: #20854)

2009-05-20  Bastien Nocera  <hadess@hadess.net>

	* tests/list:
	* tests/text.PS.gz:
	* tests/text.ps.gz: Add test cases for multi-suffix files,
	with mixed-cases

2009-04-21  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/list:
	* tests/test.por:
	* tests/test.sav: Patch from Ben Pfaff <blp@cs.stanford.edu>
	to add SPSS portable and save formats mime-types (Closes: #20834)

2009-04-21  Bastien Nocera  <hadess@hadess.net>

	* tests/list:
	* tests/test.bflng:
	* tests/test.xhtml: Add a few disable tests for bug #19201

2009-04-20  Bastien Nocera  <hadess@hadess.net>

	* update-mime-database.c (main): Patch from Martin von Gagern
	<Martin.vGagern@gmx.net> to give a better error message when
	a directory doesn't exist (Closes: #20552)

2009-04-20  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/foo.doc:
	* tests/list: And another magic for Word documents, and a test case
	(Closes: #20604)

2009-04-20  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/list: Add another magic for Word documents, along with a test
	case update (Closes: #20275)

2009-04-20  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Avoid some .ini files getting detected
	as Cisco VPN configuration files, when they start with "[main]"
	(Closes: #20302)
	* tests/list:
	* tests/menu.ini: Add test case to verify the above

2009-04-20  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/tree-list: Patch from Cosimo Cecchi <cosimoc@gnome.org> to
	separate Win32 from Unix autostart detection (Closes: #20562)

2009-04-17  Pino Toscano  <pino@kde.org>

	* freedesktop.org.xml.in: Add application/x-xz and
	application/x-xz-compressed-tar mimetypes. References for them is at:
	http://tukaani.org/xz/ (http://tukaani.org/xz/xz-file-format.txt).
	Based on a Mandriva patch.
	* tests/good-1-delta-lzma2.tiff.xz: Test data for application/x-xz;
	taken from the XZ test cases in the sources.
	* tests/spinboxes-0.1.1-Linux.tar.xz: Test data for
	application/x-xz-compressed-tar, provided by Helio Chissini de Castro.
	* tests/list: Add test cases to the list.

2009-04-10  David Faure  <faure@kde.org>

	* freedesktop.org.xml.in: Add application/vnd.google-earth.kml+xml
	and application/vnd.google-earth.kmz mimetypes. (Closes: KDE bug #136983)
	* tests/list:
	* tests/googleearth.kml: Test data (from marble, actually).

2009-04-10  David Faure  <faure@kde.org>

	* freedesktop.org.xml.in: Add Makefile.* pattern for text/x-makefile,
	to catch Makefile.gnu and other similar names, with low weight to let
	Makefile.html files be text/html.
	* tests/list:
	* tests/Makefile:
	* tests/Makefile.gnu: Test data

2009-04-09  Alexander Larsson  <alexl@redhat.com>

	* update-mime-database.c: (process_freedesktop_node),
	(compare_glob_by_weight), (cmp_magic), (magic_new), (main):
	Support glob-deleteall and magic-deleteall nodes.
	Copy glob and glob-deleteall nodes to the per-mimetype xml file.

2009-04-08  David Faure  <faure@kde.org>

	* shared-mime-info-spec.xml: Add definition of glob-deleteall
	and magic-deleteall, and their effect on globs2 and magic files,
	as discussed on the xdg list.

2009-03-16  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am: Don't use "make" but "$(MAKE)" to call
	our make, fixes build on *BSDs, spotted by Antoine Jacoutot
	<ajacoutot@lphp.org> (Closes: #20655)

2009-02-24  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/list:
	* tests/small_wav.mxf: Patch from Sebastian Dröge
	<slomo@circular-chaos.org> to add the MXF video mime-type
	(Closes: #20292)

=== shared-mime-info 0.60 ===

2009-02-21  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 0.60
	* Makefile.am: Fix running make distcheck

2009-02-21  Bastien Nocera  <hadess@hadess.net>

	* HACKING: Add some more details about the test suite

2009-02-21  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Magnus Bergman to make the
	Photoshop image match its IANA definition (Closes: #20067)
	* tests/list: Fix mime-type for the above

2009-02-21  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Magnus Bergman to make the
	Windows icon match its IANA definition (Closes: #20069)
	* tests/list: Fix mime-type for the above

2009-02-21  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/aportis.pdb:
	* tests/list:
	* tests/pocket-word.psw: Patch from Caolan McNamara to
	to add the Pocket Word and AportisDoc document types
	(Closes: #20185)

2009-02-21  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Götz Waschk and
	Milan Bouchet-Valat to add Office 2007/OpenXML documents
	mime-types (Closes: #13904)
	* tests/list:
	* tests/sample.docx:
	* tests/sample.pptx:
	* tests/sample.xlsx: Add test files for the above

2009-02-17  David Faure  <faure@kde.org>

	* freedesktop.org.xml.in: Rename image/x-fits to image/fits
	(IANA-registered name), and add image/x-fits as alias
	* tests/list: Update testcase accordingly

2009-02-09  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add *.vapi as a possible pattern
	for Vala files (Closes: #19507)

2009-02-09  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Robert DaSilva
	<spunit262@Yahoo.com> to make Javascript a sub-class of C sources
	so as to avoid misdetection
	* tests/list:
	* tests/survey.js: Add test-case from the bug above

2009-02-09  Bastien Nocera  <hadess@hadess.net>

	* tests/list: MS Office apps suck, we're not expected to recognise
	a template file by magic (Closes: #18863)

2009-02-09  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Gnucash documents aren't spreadsheets,
	so call it "financial data", leave the icon as-is though
	(Closes: #19355)

2009-02-09  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add alias for text/x-csv (Closes: #19664)

2009-02-09  Bastien Nocera  <hadess@hadess.net>

	* tests/list:
	* tests/test2.ppm: Add test case for PPM with non-working magic
	(Closes: #19811)

2009-02-06  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Koos Vriezen
	<koos.vriezen@gmail.com> to add more aliases for media types,
	as used by kmplayer (Closes: #19671)

2009-01-13  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/list:
	* tests/playlist.wpl: Add the application/vnd.ms-wpl mime-type

2009-01-08  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/list:
	* tests/test.p7b:
	* tests/test.pkipath: Patch from Ville Skyttä
	<ville.skytta@iki.fi> to add PKCS#7 and PkiPath file types
	(Closes: #10864)

2009-01-08  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: PKCS#12 bundles are not text files,
	patch from Ville Skyttä <ville.skytta@iki.fi> (Closes: #19056)

2009-01-08  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/Stallman_Richard_-_The_GNU_Manifesto.fb2:
	* tests/list: Patch from Pino Toscano <pino@kde.org>
	to add the FictionBook (fb2) file type (Closes: #17553)

2009-01-08  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Ville Skyttä
	<ville.skytta@iki.fi> to add support for MS cab files
	* tests/copying.cab:
	* tests/list: Add test file for the above

2009-01-07  Pino Toscano  <pino@kde.org>

	* update-mime-database.1: Update the URL to the specifications.
	Probably not the most correct one, but better than a non-existing page.

2009-01-06  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/list:
	* tests/msg0001.gsm: Add audio/x-gsm for GSM 06.10 encoded audio files

2009-01-05  David Faure  <faure@kde.org>

	* freedesktop.org.xml.in: Remove application/x-msi magic,
	it was just generic ole-storage magic so even .doc files would match it.
	 (Closes: #18072)
	* tests/list: Add expected failure for the lookup by file data for test.msi,
	since we have no msi-specific magic. Would be better to be able to specify
	"the expected mimetype for this data-only lookup is ole-storage" in tests/list :-)

2008-12-20  David Faure  <faure@kde.org>

	* freedesktop.org.xml.in: Add magic for GIMP xcf files
	* tests/list: Fix the resulting "unexpected pass" for xcf.

2008-12-19  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add cb7 files, Comic book archive
	created with 7z (Closes: #18887)
	* tests/comics.cb7:
	* tests/list: Add a test for cb7 files

2008-12-03  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add magic for 7z archive files
	* tests/archive.7z:
	* tests/list: Add test case for the above

2008-11-13  Pino Toscano  <pino@kde.org>

	* freedesktop.org.xml.in: add definition for the Microsoft Document
	Imaging format IANA MIME type, image/vnd.ms-modi.
	* tests/list:
	* tests/bluerect.mdi: Add a test MDI file, kindly provided by
	Brad Hards.

2008-11-03  David Faure  <faure@kde.org>

	* freedesktop.org.xml.in: add application/x-zip alias
	for application/zip, for compatibility with KDE 3.

2008-10-29  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: make PICTURES match a picture CD,
	not "Pictures", or "pictures"

2008-10-17  David Faure  <faure@kde.org>

	* freedesktop.org.xml.in: Add missing IANA-registered mimetype
	application/vnd.oasis.opendocument.chart-template
	and correct the use of <acronym> in all oasis mimetypes, which
	is meant to explain an acronym used in <comment>, not the extension.

	* freedesktop.org.xml.in: Add missing IANA-registered mimetype
	application/vnd.oasis.opendocument.formula-template

	* freedesktop.org.xml.in: Add missing IANA-registered mimetype
	text/vnd.graphviz, with globs, magic and test (Closes: #15363)

2008-10-16  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Fix RDF mime-type, spotted by
	Sebastian Trüg <trueg@kde.org> (Closes: #18088)

2008-10-12  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am: Fix building when srcdir != builddir,
	patch by Yevgeniy <YLitvinenko@astana.oilfield.slb.com>
	(Closes: #18026)

2008-09-10  Bastien Nocera  <hadess@hadess.net>

	* tests/tree-list: Add another test for video DVDs

2008-09-10  Bastien Nocera  <hadess@hadess.net>

	* shared-mime-info-spec.xml: Clarify some statements to
	include "of the same weight" when talking about comparisons,
	patch from David Faure <dfaure@trolltech.com>

2008-08-27  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Only use *.ogg for audio Oggs
	(Closes: #12890)
	* tests/list:
	* tests/test.ogg: Add a test ogg vorbis file

2008-08-20  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/ccfilm.axv:
	* tests/list: Add Annodex mime-types, from
	http://www.annodex.net/TR/annodex.html#anchor15

2008-08-19  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Fix priority of the SMIL detection
	so it's lower than that of SMILtext media links (See
	http://bugzilla.gnome.org/show_bug.cgi?id=518688#c4)
	* tests/hbo-playlist.qtl: Add a test file for the above
	* tests/list:

2008-08-08  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add application/smil+xml as
	an alias for application/smil, as used at
	http://www.cartalk.com/Radio/Show/online.html

2008-07-23  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am: Force recreating the pot file when running make

=== shared-mime-info 0.51 ===

2008-07-23  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 0.51

2008-07-23  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Fix capitalisation in a number
	of mime-types, better description for a number of content-types,
	thanks to Benno Schulenberg <bensberg@justemail.net>

=== shared-mime-info 0.50 ===

2008-07-22  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am: fix distcheck
	* NEWS: upd
	* configure.in: 0.50

2008-07-21  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add MSI (Windows Installer) mime-type,
	including magic, based on work from Scott Ritchie
	<scott@open-vote.org> (Closes: #16495)
	* tests/list:
	* tests/test.msi: add test case for the above

2008-07-20  Bastien Nocera  <hadess@hadess.net>

	* shared-mime-info-spec.xml: Better wording on the intentions
	for the "path" property, patch from Matthias Clasen
	<mclasen@redhat.com>

2008-07-20  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Better tree magic for HD-DVD
	* tests/tree-list: add more tests for the recently added
	tree magics

2008-07-20  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add missing treemagic for the
	recently added filetypes

2008-07-19  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am: Fail if the tree test failed
	* freedesktop.org.xml.in: Move some types from nautilus,
	not fully implemented yet
	* test-tree-magic.c (handle_one_line), (type_to_path),
	(print_matchlet), (main): Add some debug functionality
	* tests/tree-list: Add a test for VCDs

2008-07-18  Bastien Nocera  <hadess@hadess.net>

	* .cvsignore: upd

	* shared-mime-info-spec.xml: Update the spec to contain
	"content-types" or "tree magic", to detect an "x-content/" mime-type
	from a directory structure, patch from Matthias Clasen
	<mclasen@redhat.com>

	* update-mime-database.c (process_freedesktop_node),
	(cmp_tree_magic), (tree_match_new), (tree_match_free),
	(build_tree_matches), (tree_magic_free), (tree_magic_new),
	(write_tree_magic_children), (write_tree_magic), (add_type),
	(write_types), (write_header), (write_types_cache), (write_cache),
	(main): Add support for writing the tree-magic file, as per the
	spec update above, patch from Matthias Clasen <mclasen@redhat.com>

	* freedesktop.org.xml.in: Add one single tree-magic item, for
	testing

	* configure.in: check for GIO, build the tree magic test if it's
	available
	* Makefile.am: use test-tree-magic if it's there
	* test-tree-magic.c: automated testing for tree magic, based on GIO
	code by Matthias Clasen <mclasen@redhat.com>
	* tests/tree-list: A few tests

2008-06-22  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add support for the extended URL format
	as per http://www.cyanwerks.com/file-format-url.html
	* tests/list:
	* tests/test.url: Add test case for the above

2008-06-19  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add low-priority magic for TGA files,
	from gdk-pixbuf, spotted by Matthias Clasen <mclasen@redhat.com>
	(Closes: #16414)
	* tests/list: Also check TGA files by magic

2008-06-19  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add magic from gdk-pixbuf for
	ICO and CUR files, spotted by Matthias Clasen <mclasen@redhat.com>
	(Closes: #16413)
	* tests/aero_alt.cur:
	* tests/list: Add a test windows cursor file

2008-06-19  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Better magic for GIF files,
	from gdk-pixbuf, spotted by Matthias Clasen <mclasen@redhat.com>
	(Closes: #16411)

2008-06-19  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add some aliases for BMP images,
	spotted by Matthias Clasen <mclasen@redhat.com>
	(Closes: #16410)

2008-06-19  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add Windows animated cursor
	from the gdk-pixbuf loader magic (Closes: #16409)
	* tests/jc-win.ani:
	* tests/list: Add test case

=== shared-mime-info 0.40 ===

2008-06-11  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 0.40
	* Makefile.am: Fix distchecking

2008-06-11  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/hereyes_remake.mo3:
	* tests/list: Add a mime-type for the MO3 tracker file type,
	along with a test file (Closes: #16291)

2008-06-11  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Wilbert Berendsen
	<wbsoft@xs4all.nl> to add a mime-type for Lilypond music sheets
	(Closes: #13883)
	* tests/list:
	* tests/petite-ouverture-a-danser.ly: Add a test file for the
	text/x-lilypond mime-type

2008-06-11  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Tighten the magic for PBM,
	PPM and PGM types, so as to avoid false positives
	(Closes: #2359)
	* tests/list:
	* tests/test.pbm: Add a pbm test file

2008-06-11  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Make application/x-gnuplot a
	sub-class-of text/plain (Closes: #15852)

2008-06-11  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add "Subject: " as a match
	for message/rfc822 mime-types

	* tests/evo.msg: Remove, it was unused

	* tests/list:
	* tests/evolution.eml:
	* tests/tb-from-sentbox.eml:
	* tests/tb-saved.eml: Add some message test cases

2008-06-11  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add the OXT mimetype, for
	OpenOffice extensions
	* tests/Anaphraseus-1.21-beta.oxt:
	* tests/list: Add test file
	(Closes: #15110)

2008-06-11  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Make text/x-readme have a weight
	of 10 (very low) so README.pdf doesn't get matched with
	text/x-readme

2008-06-11  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/bathead.sk:
	* tests/list: Add image/x-skencil mime-type for Skencil
	files, with help from Tim Beaulen <tbscope@gmail.com>
	(Closes: #16050)

2008-06-11  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Fix build

2008-06-11  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Josselin Mouette
	<joss@debian.org> to avoid problems when detecting Matroska
	files by data, create a new application/x-matroska mime-type,
	and make video/x-matroska and audio/x-matroska subclasses of it
	(Closes: #16144)

2008-06-11  Bastien Nocera  <hadess@hadess.net>

	* tests/list:
	* tests/test.php: Add a test case for PHP files, from
	https://bugs.freedesktop.org/show_bug.cgi?id=16228

2008-06-11  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Fix make check

2008-06-11  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Sebastian Dröge
	<slomo@circular-chaos.org> to add *.m3u8 as a glob for m3u files
	(Closes: #16143)

2008-06-11  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add text/rtf as an alias for application/rtf
	(Closes: #16270)

2008-06-09  Bastien Nocera  <hadess@hadess.net>

	* shared-mime-info-spec.xml: Update version to 0.17, as we added the
	compact tree suffix

2008-06-09  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add weight to the DTD (patch by Matthias)
	* shared-mime-info-spec.xml:
	* update-mime-database.c (insert_suffix), (write_suffix_entries),
	(write_suffix_cache): 	Patch by Matthias Clasen
	<mclasen@redhat.com> to implement the compact suffix tree

2008-06-02  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Fix pack200 magic, remove useless gtkrc
	mime-type (doesn't match gtk+ 2.0 config files, and no need for
	mime-types for dot files)

	* Makefile.am: When the test suite fails, relaunch it with more
	verbose so we can fix the error

	* tests/list: MicroDVD subs can now be matched

2008-06-02  Bastien Nocera  <hadess@hadess.net>

	* shared-mime-info-spec.xml:
	Patch from Matthias Clasen <mclasen@redhat.com> to update the spec
	to match the current implementation

2008-06-02  Bastien Nocera  <hadess@hadess.net>

	* update-mime-database.c:
	Patch from Matthias Clasen <mclasen@redhat.com> to update cache
	version to 1.1 after the recent changes

2008-06-02  Bastien Nocera  <hadess@hadess.net>

	* update-mime-database.c (get_int_attribute), (get_priority),
	(get_weight), (process_freedesktop_node), (write_out_glob),
	(write_out_glob2), (collect_glob2), (compare_by_weight),
	(write_one_icon), (write_icons), (write_header), (write_map_entry),
	(write_map), (get_glob_list_value), (write_alias_cache),
	(write_literal_cache), (write_glob_cache), (insert_suffix),
	(ucs4_reverse), (build_suffixes), (write_suffix_entries),
	(write_suffix_cache), (write_namespace_cache), (get_icon_value),
	(write_icons_cache), (collect_glob), (collect_icons),
	(collect_strings), (write_cache), (main):
	Patch from Matthias Clasen <mclasen@redhat.com> to implement 
	icon and generic-icon support

2008-06-02  Bastien Nocera  <hadess@hadess.net>

	* update-mime-database.c (get_int_attribute), (get_priority),
	(get_weight), (process_freedesktop_node), (write_out_glob),
	(write_out_glob2), (collect_glob2), (compare_by_weight),
	(write_map_entry), (write_map), (get_glob_list_value),
	(write_alias_cache), (write_literal_cache), (write_glob_cache),
	(insert_suffix), (ucs4_reverse), (build_suffixes),
	(write_suffix_entries), (write_suffix_cache),
	(write_namespace_cache), (collect_glob), (write_cache), (main):
	Patch from Matthias Clasen <mclasen@redhat.com> to implement 
	reverted suffix trees

2008-06-02  Bastien Nocera  <hadess@hadess.net>

	* update-mime-database.c (get_int_attribute), (get_priority),
	(get_weight), (process_freedesktop_node), (write_out_glob),
	(write_out_glob2), (collect_glob2), (compare_by_weight),
	(write_map_entry), (write_map), (get_glob_list_value),
	(write_alias_cache), (write_literal_cache), (write_glob_cache),
	(insert_suffix), (build_suffixes), (write_suffix_entries),
	(write_suffix_cache), (write_namespace_cache), (collect_glob),
	(write_cache), (main): Patch from Matthias Clasen <mclasen@redhat.com>
	to implement glob weigths

2008-06-02  Bastien Nocera  <hadess@hadess.net>

	* HACKING: More instructions for submission to the TP

2008-06-02  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Remove fnmatches for a few mime-types,
	spotted by Matthias Clasen

2008-05-25  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add text/x-c, for the same reason as below

2008-05-24  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add text/x-diff as an alias for
	Patches, as used in the wild

2008-05-13  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am: Check that all the translations are actually
	shipped when doing a translation update

=== shared-mime-info 0.30 ===

2008-05-12  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 0.30

2008-05-12  Bastien Nocera  <hadess@hadess.net>

	* HACKING: Add link to the TP's maintainer corner

2008-05-12  Bastien Nocera  <hadess@hadess.net>

	* HACKING: Add mention of the update-translations target
	* Makefile.am: add the update-translations which pulls the latest
	translations from the Translation Project

2008-05-02  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Some string review courtesy of Benno
	Schulenberg <bensberg@justemail.net>

2008-04-30  Bastien Nocera  <hadess@hadess.net>

	* HACKING: Add details on how to update the spec on the website

2008-04-23  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am: More than just application/ mime-type need generic-icon
	* freedesktop.org.xml.in: add generic-icon to a few message/
	mime-types, as well as to the VRML mime-type

2008-04-23  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Fix FIXMEs for the generic icons, fix a few
	archives' acronyms, remove the text/x-ksysv-log mime-type which
	doesn't have a comment, and doesn't seem to be used anymore

2008-04-23  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Tighten the DTD as to the allowed values for
	the generic-icon needing to be listed in the Icon Naming spec

2008-04-23  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/internet.ez:
	* tests/list: Add test file for Andrew insets, and fix generic-icon

2008-04-23  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am: Remove the tests below, and modify the DTD to not allow
	acronyms without an expanded-acronym, and mime-types without comments
	* freedesktop.org.xml.in: Add generic-icons to all the application/
	mime-type, with a few FIXMEs, remove duplicated StuffIt mime-type, but
	keep the aliases, fix a few mime-types without comments, and missing
	acronyms or expanded-acronyms

2008-04-22  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am: Add check for mime-types without comments

2008-04-22  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am: Check for acronyms without any expanded acronyms

2008-04-22  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add generic-icon to the DTD

2008-04-22  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/ISOcyr1.ent:
	* tests/list: Patch from Pino Toscano <pino@kde.org> to add
	XML entities support, and fix the DTD mime-type to be the one
	in the RFC (Closes: #14085)

2008-04-21  Pino Toscano  <pino@kde.org>

	* Makefile.am: use $(top_builddir) instead of $(builddir) in the
	"check" target, this way it works also with automake 1.9.

2008-04-21  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add mime-type for MS Works
	documents, patch from Pino Toscano <pino@kde.org>
	(Closes: #12989)

	* tests/list:
	* tests/test.wps: Add test file for MS Works

2008-04-21  Pino Toscano  <pino@kde.org>

	* freedesktop.org.xml.in:
	* tests/test.cmake:
	* tests/list: Add mime-type for CMake scripts, patch from
	Aleix Pol <aleixpol@gmail.com> (Closes: #15561)

2008-04-21  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/hello.pack:
	* tests/list: Add mime-type for Pack200 archives, patch from
	Ville Skyttä <ville.skytta@iki.fi> (Closes: #12620)

2008-04-18  Bastien Nocera  <hadess@hadess.net>

	* HACKING: Add mention on how to file bugs

2008-04-15  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/list:
	* tests/test-vpn.pcf: Add Cisco VPN mime-type (from David Zeuthen
	<david@fubar.dk>), and test case (Closes: #3560)

2008-04-15  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Fix expanded acronym for ODB
	files, spotted by jstaniek <js@iidea.pl> (Closes: #12686)

2008-04-15  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/list:
	* tests/ocf10-20060911.epub: Add application/epub+zip for
	Electronic Book documents, patch from Pino Toscano
	<pino@kde.org> (Closes: #12625)

2008-04-15  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/list:
	* tests/test.iptables: Add text/x-iptables for iptables
	scripts, for the benefit of gedit, definition from
	Ian Laurie <iml@zip.com.au> (Closes: #6652)

2008-04-14  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add *.3g2 as a possible suffix for
	3GPP files

2008-04-10  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/list:
	* tests/test-cdda.toc:
	* tests/test-cdrom.toc: Add mime-type for CDRDAO TOC files
	with (wobbly) magic (Closes: #11530)

2008-04-10  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add *.med as MOD files, patch from
	Ville Skyttä <ville.skytta@iki.fi> (Closes: #10863)

2008-04-10  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Require AVI files to have both the RIFF
	and the "AVI " bits, not just one of them (Closes: #12541)

	* tests/list:
	* tests/test.avi:
	* tests/test.wav: Add WAVE and AVI test files

2008-04-10  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add magic for KDC Kodak raw image files
	* tests/list:
	* tests/test.kdc: Add test case for that image file
	(Closes: #10357)

2008-04-10  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/list:
	* tests/test.mof: Add mime-type for Managed Object Format files,
	patch from Stanislav Brabec <sbrabec@suse.cz> (Closes: #14278)

2008-04-10  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/list:
	* tests/test.gnd: Add mime-type for GNUNet saved searches,
	based on work by Milan Bouchet-Valat <nalimilan@club.fr>
	(Closes: #15260)

2008-04-10  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/list:
	* tests/test-template.dot: Add a MS Word template file mime-type
	and the requires test suite entry

2008-04-10  Bastien Nocera  <hadess@hadess.net>

	* tests/README.pdf:
	* tests/list: Add test case for bug #15436 (README* taking precedence
	over *.pdf)

2008-04-10  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am: error out when one of the tests fails

	* freedesktop.org.xml.in: Fix matchlet for application/x-java,
	patch by David Faure <faure@kde.org> (Closes: #10334)

	* tests/helloworld.java (helloworld), (helloworld.main):
	* tests/list:
	* tests/test.class: Add test case for Class and Java source files

2008-04-10  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/list:
	* tests/test.alz: Add application/x-alz for ALZ archives, patch by
	Changwoo Ryu <cwryu@debian.org> (Closes: #14909)

2008-04-10  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Remove application/x-cgi mime-type, it's
	not text/plain (could be a binary), so it should be handled as its
	real type, as discovered by sniffing (Closes: #13700)

2008-04-09  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add another magic pattern for FLAC files
	inside Ogg, patch by Andrés Gómez García <agomez@igalia.com>
	(Closes: #14501)

2008-04-09  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Remove *.exe as a pattern for Unix/ELF
	executables (Closes: #12569)

2008-04-09  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add a pattern for AWK files

2008-04-09  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add a pattern for mbox files, as used
	by KMail

2008-04-09  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/list: Add a pattern for PCX files, fix the test suite
	accordingly

2008-04-09  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Remove audio/x-mp3-playlist (no pattern,
	no magic) and make it an alias for m3u playlists

2008-04-09  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add a mime-type for NFO files, patch by
	Osmo Salomaa <otsaloma@cc.hut.fi> (Closes: #12721)

2008-04-09  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/list:
	* tests/test.fl: Add FLTK Fluid mime-type and test files. Patch from
	Sanel Zukan <sanelz@gmail.com> (Closes: #14329)

2008-04-09  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Remove useless application/x-dbm
	mime-type, it didn't have a comment, or an users (Closes: #15223)

2008-04-09  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Make application/x-flash-video an alias,
	and have the top-level mime-type be video/x-flv, so apps can use
	video/ to filter it (Closes: #14982)

2008-03-28  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add application/x-redhat-package-manager
	as an alias for RPM

2008-03-26  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/list:
	* tests/test.ext,v: Add *,v files from RCS to the
	text/plain files, add a test

2008-03-04  Alexander Larsson  <alexl@redhat.com>

	* shared-mime-info-spec.xml:
	Update spec from discussion on list:
	Add generic-icon and icon support.
	Add glob weight
	Change recommended sniffing/glob order

2008-03-04  Bastien Nocera  <hadess@hadess.net>

	* update-mime-database.c (process_freedesktop_node):
	Just ignore fields we don't know about, instead of
	erroring out, patch by David Faure <dfaure@trolltech.com>

2008-02-29  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add mime-type for SMAF,
	XMF and iMelody ringtones, and MRML "playlist" type

	* tests/list:
	* tests/playlist.mrl:
	* tests/ringtone.ime:
	* tests/ringtone.mmf: Add tests for the above minus XMF

2008-02-28  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Remove *.amr from 3gpp files,
	they're already used by audio/AMR,
	Add audio/mp3 as an alias for audio/mpeg
	Add audio/vnd.m-realaudio as an alias for audio/vnd.rn-realaudio
	Add audio/wma as an alias for video/x-ms-asf

2008-02-21  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/registry.reg: Detect registry files when they're
	UTF-16 encoded as exported by regedit on Windows XP,
	magic provided by Robert Millan <rmh@aybabtu.com>

2008-02-21  Bastien Nocera  <hadess@hadess.net>

	* update-mime-database.1: Small fixes to the man page by
	Pascal Terjan <pterjan@gmail.com> (Closes: #12311)

2008-02-21  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Update deps to glib 2.6.0, spotted by
	Guillaume D. <guillaumed@users.sf.net> (Closes: #12249)

2008-02-21  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Robert Millan <rmh@aybabtu.com>
	to add Microsoft Registry mime-types, for use in Wine
	(Closes: #10312)

	* tests/list:
	* tests/registry.reg:
	* tests/registry-nt.reg: Add test files for the Windows Registry
	mime-type

2008-02-21  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Update DJVU magic and aliases from
	the upstream DjVulibre projects, spotted by Leon Bottou
	<leon@bottou.org> (Closes: #14009)

	* tests/2001_compression_overview.djvu:
	* tests/list: Add test case for DjVu files

2008-02-21  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Osmo Salomaa <otsaloma@cc.hut.fi>
	to add the SubViewer subtitle mime-type

	* tests/subtitle-subviewer.sub:
	* tests/list: Add test case (Closes: #12478)

2008-02-21  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Fix a few typos in the DTD,
	patch from Petteri Räty <petteri.raty@welho.com>

2008-02-21  Bastien Nocera  <hadess@hadess.net>

	* update-mime-database.c: Patch from Ed Catmur <ed@catmur.co.uk>
	to avoid warnings with the new x-content/ stuff in GNOME 2.22
	(Closes: #14362)

2008-02-21  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Pino Toscano
	<pino@kde.org> to mark more comments as translatable
	(Closes: #14605)

	* Makefile.am: Add a check for untranslated comments
	in the check target

2008-02-21  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Translate the CHM comment,
	spotted by Pino Toscano <pino@kde.org> (Closes: #14520)

2008-02-21  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Pino Toscano
	to add a mime-type for EXR images (Closes: #6488)

	* tests/GammaChart.exr:
	* tests/list: Add a test case

2008-02-07  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add "<Asx" as a possible
	magic for ASX files (Closes: GNOME #505398)

2008-02-05  Alexander Larsson  <alexl@redhat.com>

	* freedesktop.org.xml.in:
	Lower xml magic priority so that its lower than
	e.g. text/html.
	Patch from David Faure

2008-01-31  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/list:
	* tests/test.ttx: Patch from Christian Persch
	<chpe@gnome.org> to add the TTX font mime-type (Closes: #14318)

2008-01-29  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Paolo Borelli
	<pborelli@katamail.com> to add the Eiffel code mime-type
	(Closes: #14288)

2008-01-07  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Frederic Crozat
	<fcrozat@mandriva.com> to add LZMA archives (Closes: #13256)

=== shared-mime-info 0.23 ===

2007-12-18  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 0.23
	* Makefile.am: add HACKING file to the dist
	* HACKING: add location for the CVS server and release method

2007-12-10  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Fix capitalisation for
	a number of mime-types, don't use "QT", "WMV/WMA" and "NSV"
	in comments

	Remove the useless gtar, make application/x-gtar an
	alias for tar

	Add translator comment for SNES/NES/Genesis, as those
	were known under different names depending on the location/region

	Mention the acronyms in the raw digital image types

	Add an acronym for RPM

2007-12-12  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am: add the pot file to the dist,
	should fix problems with the translation project

2007-12-10  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/list:
	* tests/office.doc: 
	Remove the magic from the Powerpoint files,
	it's actually magic for "Microsoft Office document"
	and add it to x-ole-storage, add a test file to the
	testsuite
	From https://bugzilla.redhat.com/show_bug.cgi?id=398031

2007-11-29  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/list:
	* tests/subtitle.ssa:
	Add the SSA subtitle format

2007-11-29  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* tests/list:
	* tests/subtitle-microdvd.sub:
	* tests/subtitle-mpsub.sub:
	Add MicroDVD and MPSub subtitle formats

2007-11-29  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add SAMI subtitle files, as per:
	http://msdn2.microsoft.com/en-us/library/ms971327.aspx
	* tests/: add test copied from the Microsoft website

2007-11-21  Bastien Nocera  <hadess@hadess.net>

	* README: Update bug reporting instructions

2007-11-20  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: add *.asc as a glob for PGP armoured keys,
	patch from Adam Schreiber <sadam@clemson.edu> (Closes: #11680)

2007-11-04  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Up the magic priority of the RSS mime-type
	to avoid them being detected as plain XML files

2007-10-30  Benjamin Otte  <otte@gnome.org>

	* freedesktop.org.xml.in: Add magic for detecting compressed Flash,
	add Futuresplash as an alias for Flash

2007-10-24  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add *.aac as a possible pattern for audio
	MPEG-4 files

2007-10-24  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add OPML with the mime-type text/x-opml+xml,
	and the more official text/x-opml as an alias. Up its magic priority,
	and that of the Atom mime-type as well, to avoid them being detected
	as plain XML files
	* tests/: add an OPML feed to the suite

2007-10-22  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Revert associating *.htm and *.html to 
	mozilla bookmarks as the mime systems don't look at magic yet to
	choose the right mime type (Helps: #11843)
	* tests/: add another feed for testing

2007-09-26  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Also add *.jpf as a glob for image/jpx

2007-09-26  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add image/jpx and associated
	glob as per http://www.iana.org/assignments/media-types/image/jpx

2007-09-25  Bastien Nocera  <hadess@hadess.net>

	* HACKING: add a mention of how translations should be
	handled

2007-09-25  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: added j2k as a possible jpeg2000
	suffix

2007-09-18  Bastien Nocera  <hadess@hadess.net>

	* HACKING: add new hacking file, to give instructions to
	potential contributors

2007-09-18  Alexander Larsson  <alexl@redhat.com>

	* freedesktop.org.xml.in:
	Make application/msword subclass of application/x-ole-storage.
	Patch from David Faure

2007-09-04  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Fix the subrip mime-type to mention subrip,
	add magic, patch by Osmo Salomaa <otsaloma@cc.hut.fi>
	* tests/*: add a SubRip subtitle test

2007-09-04  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add the Atom mime-type, add magic to the RSS
	mime-type
	* tests/*: add RSS and Atom test cases

2007-09-04  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Remove dubious C# magic, and add Vala
	mime-type, patch from Jürg Billeter <j@bitron.ch> (Closes: #12195)
	* tests/*: add C# and Vala test cases

2007-08-31  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Fix JPEG-2000 mime-types and magic to
	follow the RFC (Closes: #11942)
	* tests/list: s,image/jpeg2000,image/jp2

2007-08-31  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add *.vlc as a pattern for m3u files,
	as used by VideoLAN (Closes: #12114)

2007-08-31  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Sebastien Bacher
	<seb128@debian.org> to add more aliases for Powerpoint and Word
	mime-types (Closes: #12231)

2007-08-31  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add the audio/x-m4b mime-type,
	as a sub-class of audio/mp4 (Closes: #10830)

2007-08-29  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add the JPEG2000 JPC glob to the
	list, as well as magic for both JP2 and JPC files

	* tests/list:
	* tests/test.jp2:
	* tests/test.jpc: Add tests for the above

2007-08-28  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add application/sdp, with information from
	http://www.rfc-editor.org/rfc/rfc2327.txt
	* tests/*: Add an SDP stream description, the filename clashes with
	StarOffice presentations

2007-08-28  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Split out *.nsc into its own mime-type, as
	we'd like GStreamer to handle it directly, rather than us
	Confusing mime-type name from
	http://en.wikipedia.org/wiki/Windows_Media_Station
	* tests/*: Add an ASX playlist and an NSC stream description

2007-08-28  Bastien Nocera  <hadess@hadess.net>

	* configure.ac: Check for xmllint

	* Makefile.am: run test-mime-data from xdgmime if we're running in CVS
	and have xdgmime checked out and built in the parent
	* tests/*: add loads of test data and a test list from Matthias Clasen
	<mclasen@redhat.com> (Closes: #5210)

	* freedesktop.org.xml.in:
	- Remove "Microsoft Word 6.0 Document" matchlet at offset 2080, it's a
	localised string (ie. says "Dokument" in German, etc.)
	- Add better matchlets from file(1) for word documents
	- Add magic for StarWriter (tentative) and for glade files
	- Up the priority of the EPS matchlet so that EPS files are not
	recognised as postscript files

2007-08-12  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: add a mime-type for QTIF QuickTime image
	files

=== shared-mime-info 0.22 ===

2007-07-30  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* Makefile.am: upd

2007-07-27  Bastien Nocera  <hadess@hadess.net>

	* configure.in: bump up the release version, need to do a release

2007-07-27  Frederic Crozat  <fcrozat@mandriva.com>

	* freedesktop.org.xml.in: Add audio/ogg, video/ogg as subclasses of
	application/ogg and add relevant extensions.

2007-07-26  Frederic Crozat  <fcrozat@mandriva.com>

	* freedesktop.org.xml.in: Add video/avi as alias for video/x-msvideo,
	some Windows mail clients still use it, #11729.

2007-07-25  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add the application/x-nintendo-ds-rom
	mime-type for Nintendo DS ROMs

2007-06-27  Christian Neumair  <cneumair@gnome.org>

	* Makefile.am: Install shared-mime-info.pc to $datadir/pkgconfig
	instead of $libdir/pkgconfig, #10698 (revert).

2007-07-22  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add the iRiver PLA playlist format,
	patch from Jonathan Matthew <jonathan@kaolin.wh9.net>
	(Closes: #11604)

2007-06-27  Christian Neumair  <cneumair@gnome.org>

	* update-mime-database.c: Use g_warning instead of g_error. Fixes
	#10959. Thanks to Sebastien Bacher <seb128@debian.org>.

2007-06-27  Christian Neumair  <cneumair@gnome.org>

	* freedesktop.org.xml.in: Add JAD MIME type. Fixes #10869.
	Thanks to Ville Skyttä <ville.skytta@iki.fi>.

2007-06-27  Christian Neumair  <cneumair@gnome.org>

	* freedesktop.org.xml.in: Add WMLScript MIME type. Fixes #10868.
	Thanks to Ville Skyttä <ville.skytta@iki.fi>.

2007-06-27  Christian Neumair  <cneumair@gnome.org>

	* freedesktop.org.xml.in: Add winmail.dat glob to TNEF MIME type. Fixes
	#10867. Thanks to Ville Skyttä <ville.skytta@iki.fi>.

2007-06-27  Christian Neumair  <cneumair@gnome.org>

	* freedesktop.org.xml.in: Fix PostScript and XHTML acronyms. Fixes
	#10865. Thanks to Ville Skyttä <ville.skytta@iki.fi>.

2007-06-27  Christian Neumair  <cneumair@gnome.org>

	* configure.in: Require glib 2.3.2. Fixes #10398. Thanks to Martin
	Koller <m.koller@surfeu.at>, and Harri Porten <porten@kde.org>.

2007-06-27  Christian Neumair  <cneumair@gnome.org>

	* update-mime-database.c: Improve windows compatibility, close streams.
	Fixes #10689. Thanks to Christian Ehrlicher <ch.ehrlicher@gmx.de>.

2007-06-27  Christian Neumair  <cneumair@gnome.org>

	* freedesktop.org.xml.in: Add Plucker MIME type. Fixes #10379. Thanks
	to Pino Toscano <toscano.pino@tiscali.it>.

2007-06-27  Christian Neumair  <cneumair@gnome.org>

	* freedesktop.org.xml.in: Also match uppercase "F" for fortran
	globs, fixes #10692. Thanks to Quintin Hill <quintinhill@gmx.net>

2007-06-27  Christian Neumair  <cneumair@gnome.org>

	* freedesktop.org.xml.in: Change top-level tag matching offset range
	of XML subtypes from "0:64" to "0:256". Fixes #10880. Thanks to
	Sebastian Dröge <slomo@circular-chaos.org>.

2007-06-27  Christian Neumair  <cneumair@gnome.org>

	* freedesktop.org.xml.in: Add Erlang source code MIME type, fixes
	#10878. Thanks to Martin Ankerl <martin.ankerl@gmail.com>.

2007-06-27  Christian Neumair  <cneumair@gnome.org>

	* freedesktop.org.xml.in: Add ".hxx" glob pattern for C++ header.
	Fixes #10872. Thanks to Jonathon Jongsma <jonathon.jongsma@gmail.com>.

2007-06-27  Christian Neumair  <cneumair@gnome.org>

	* freedesktop.org.xml.in: Add SIS/SISX packages, #10871.
	* update-mime-database.c: Add x-epoc media type.
	Thanks to Ville Skyttä <ville.skytta@iki.fi>.

2007-06-27  Christian Neumair  <cneumair@gnome.org>

	* Makefile.am: Install shared-mime-info.pc to $libdir/pkgconfig
	instead of $datadir/pkgconfig, #10698. Thanks to Tilman Sauerbeck
	<tilman@code-monkey.de>.
	* autogen.sh: Don't run libtoolize, #10870. Thanks to Ville Skyttä
	<ville.skytta@iki.fi>.

2007-06-27  Christian Neumair  <cneumair@gnome.org>

	* freedesktop.org.xml.in: Add more WordPerfect globs, #10428. Thanks
	to Petr Mladek <pmladek@suse.cz>.
	Also replace "document" by "image" in EMF/WMF description.

2007-06-27  Christian Neumair  <cneumair@gnome.org>

	* freedesktop.org.xml.in: Fix WMF description and add matchlet, add
	EMF MIME type. Fixes #11385 and 11388. Thanks to Shaun Oldale
	<soldale@gmail.com>.
	Also fix OpenOffice Calc template description.

2007-06-26  Christian Neumair  <cneumair@gnome.org>

	* freedesktop.org.xml.in: Add MP2 audio, add more aliases for 3GPP, fixes
	#10457. Thanks to Matt Keenan <matt.keenan@sun.com>.

2007-06-26  Christian Neumair  <cneumair@gnome.org>

	* freedesktop.org.xml.in: Add OpenOffice MIME matchlets, fixes #11276.
	Thanks to Matt Keenan <matt.keenan@sun.com>.

2007-06-14  Christian Neumair  <cneumair@gnome.org>

	* freedesktop.org.xml.in: Match "script" tag in HTML. Fixes #11259.
	Thanks to David Faure <faure@kde.org>.

2007-06-14  Christian Neumair  <cneumair@gnome.org>

	* freedesktop.org.xml.in: Fix word order in powerpoint matchlet. Fixes
	#435. Thanks to David Faure <faure@kde.org>.

2007-06-01  Christian Neumair  <cneumair@gnome.org>

	* freedesktop.org.xml.in: Remove "application/x-netscape-bookmarks"
	definition, make "application/x-netscape-bookmarks" an alias for
	"application/x-mozilla-bookmarks". Also associate extensions "*.html"
	and "*.htm" with Mozilla bookmarks. Fixes #266.

=== shared-mime-info 0.21 ===

2007-04-18  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 0.21

2007-04-13  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Correct the magic for RTSPtext metalinks
	(See http://bugzilla.gnome.org/show_bug.cgi?id=429383)

2007-03-08  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: add X11 cursor type (#10043).
	Thanks to Pino Toscano <toscano.pino@tiscali.it>.

2007-03-08  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: add DirectDraw surface type (#10083).
	Thanks to Pino Toscano <toscano.pino@tiscali.it>.

2007-03-08  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: add pattern and description for KSysV init
	type (#10040). Thanks to Pino Toscano <toscano.pino@tiscali.it>.

2007-03-08  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: add matchlets for OpenOffice.org types
	(#10100). Thanks to Pino Toscano <toscano.pino@tiscali.it> and Oliver
	Braun <Oliver.Braun@sun.com>.

2007-03-08  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: add a bunch of raw camera image types
	(#8170). Thanks to Udi Fuchs <udifuchs@gmail.com>, Stanislav Brabec
	<sbrabec@suse.cz> and Frederic Crozat <fcrozat@mandriva.com>.

2007-03-08  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: add PKCS#10 certification request type
	(#10076). Thanks to Pino Toscano <toscano.pino@tiscali.it>.

2007-03-08  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: Add "*.iso9660" glob for ISO 9660 files
	(#10130).  Thanks to Sebastian Dröge (slomo@circular-chaos.org).

2007-03-08  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: add PSF, miniPSF, PSFlib types, add
	gzippd PSF linux font type, properly subclass all gzipped types
	(#853). Thanks to Jo Valentine-Cooper <jvc@menagerie.tf>.

2007-03-08  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: add PAK archive type (#10030).
	Thanks to Pino Toscano <toscano.pino@tiscali.it>.

2007-03-08  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: add TNEF message MIME type (#10077).
	Thanks to Pino Toscano <toscano.pino@tiscali.it>.

2007-03-08  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: make application/x-shared-library-la a
	subclass of text/plain (#10203). Thanks to Yevgen Muntyan
	<muntyan@tamu.edu>.

2007-03-08  Christian Neumair  <chris@gnome-de.org>

	* update-mime-database.1: remove ROX from "See Also" manpage section
	(#10131). Thanks to Sebastian Dröge <slomo@circular-chaos.org>.

2007-03-08  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: fix RealVideo document MIME type (#10122).
	Thanks to Frederic Crozat <fcrozat@mandriva.com>.

2007-03-08  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: add XPS MIME type (#10027).
	Thanks to Pino Toscano <toscano.pino@tiscali.it>.

2007-03-08  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: make application/m3u an alias for
	audio/x-mpegurl (#10061), and make audio/x-mpeg an alias for
	audio/mpeg.
	Thanks to Pino Toscano <toscano.pino@tiscali.it>.

2007-03-08  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: add comment for Adobe FrameMaker document
	(#10086), brand FrameMaker MIF document to Adobe.
	Thanks to Pino Toscano <toscano.pino@tiscali.it>.

2007-03-08  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: add comment for ARC archive (#10084).
	Thanks to Pino Toscano <toscano.pino@tiscali.it>.

2007-03-08  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: add comment for XMCD CD database (#10074).
	Thanks to Pino Toscano <toscano.pino@tiscali.it>.

2007-02-13  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: add *.m2t as a pattern for MPEG 2 files
	(GNOME bug #406196)

=== shared-mime-info 0.20 ===

2007-02-06  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: version 0.20

2007-02-06  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Make dia a sub-class of application/xml,
	not the alias text/xml

2007-02-06  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Move *.pcf.Z to application/x-font-pcf
	as it's definitely not a Postscript font, add *.pcf.gz as well
	(Closes: #4398)

2007-02-06  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Petr Tomasek
	<tomasek@etf.cuni.cz> to add a mime-type for the T602 word
	processor documents (Closes: #1001)

2007-02-06  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am: verbose mode in install mode by default
	* configure.in: up the glib requirements to 2.2
	* update-mime-database.1:
	* update-mime-database.c: (g_log_handler), (usage), (get_type),
	(load_source_file), (write_out_glob), (write_magic_children),
	(write_magic), (delete_old_types), (check_in_path_xdg_data),
	(write_map_entry), (write_parent_entry), (write_parent_list),
	(build_suffixes), (write_suffix_entries), (write_match),
	(write_cache), (main): Patch from Loïc Minier
	<lool+freedesktop@via.ecp.fr> to make the output of
	update-mime-database quiet by default (Closes: #7289)

2007-02-06  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add a mime-type for XUL, add *.xbl as
	an XML pattern, as XBL doesn't have its own mime-type (Closes: #3260)
	Change the compressed SVG mime-type to image/svg+xml-compressed

2007-02-06  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add the application/x-ica mime-type,
	patch from Jack Johnson <knapjack@gmail.com> (Closes: #3820)

2007-02-06  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: compressed SVG files aren't XML files,
	so .svgz files now use image/svg as their mime-type (Closes: #9873)

2007-02-05  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Pino Toscano
	<toscano.pino@tiscali.it> to add a mime-type for XLIFF
	translation files (Closes: #6532)

2007-02-05  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Pino Toscano
	<toscano.pino@tiscali.it> to add a mime-type for LDIF files
	(Closes: #6482)

2007-02-05  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: application/xslt+xml is reserved for
	XSLT 2.0 style-sheets, which we cannot detect because we don't
	read attributes, just namespaces. So remove *.xsl and *.xslt as
	application/xslt+xml globs, and add those to application/xml
	(the recommended mime-type for XSLT version 1.0)
	Leave application/xslt+xml present as a sub-class of application/xml
	to avoid breaking already existing program associations
	(Closes: #2928)

2007-02-05  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Really fix my application/x-markaby
	mime-type addition, more crack (time to go home?), Patch from
	Young-Ho, Cha <ganadist@chollian.net> to add mime-types for
	Haansoft's Hangul word processor (Closes: #4230)

2007-02-05  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add mime-type including magic for ACE
	archives (Patch from Pino Toscano <toscano.pino@tiscali.it>)
	(Closes: #6473), Fix parsing from previous commit

2007-02-05  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add application/x-markaby mime-type for
	"Ruby markup"-fu (Closes: #6132)

2007-02-05  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Remove the TGA mime magic as it was bogus, and
	the real Targa magic is at the end of the file, not at the beginning
	(Closes: #1268)

2007-02-05  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Sebastian Dröge <slomo@ubuntu.com>
	to add the Wavpack mime-type (Closes: #6746)

2007-02-05  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: belong should be big32, I guess that patch
	was untested ;)

2007-02-05  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Robert Dale <robdale@gmail.com>
	to add the application/x-dar mime-type (Closes: #6760)

2007-02-05  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add magic for the PGN mime-type,
	make it a text/plain sub-class, change the human-readable name
	to "PGN chess game notation" (Closes: #8286)

2007-02-05  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Have the Go SGF records be a sub-class
	of text/plain to allow opening them with a text editor, add
	magic for version 3 and 4 of those files (Closes: #8058)

2007-02-05  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add magic to detect AutoCAD DXF files
	(Closes: #9472)

2007-02-05  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Make mbox a sub-class of text/plain
	so that a text-editor can be used to open it (Closes: #9859)

2007-02-05  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Frédéric Crozat
	<fcrozat@mandriva.com> to remove the StarOffice-provided
	application/vnd.palm mime-type, and add the globs and aliases
	to application/x-palm-database instead (Closes: #7406)

2007-02-05  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Mario Carrión <mario@monouml.org>
	to add mime-types for OCL scripts (Closes: #7327)

2007-02-05  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Sebastian Dröge <slomo@ubuntu.com>
	to not mis-detect Java files as C when they start with comments
	(Closes: #9407), same trick with CSS files (Closes: #9469)

2007-02-05  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add Lua scripts to the mime-types with help from
	Reuben Thomas (Closes: #8715)

2007-02-05  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Adam Schreiber <sadam@clemson.edu>
	and Sebastian Dröge <slomo@ubuntu.com> to clean up PGP/GnuPG file
	types detection (Closes: #9401)

2007-02-02  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Make Dia's format a sub-class of text/xml
	as reported by Tom Parker <freedesktop@tevp.net> (Closes: #9241)

2007-02-02  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add a mime-type for WBMP images
	(Closes: #9186)

2007-02-02  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add gnm:Workbook as a possible magic
	for Gnumeric files, spotted by Jean Bréfort (Closes: #9424)

2007-02-02  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Wouter Bolsterlee
	<uws+freedesktop@xs4all.nl> to add *.rdfs and *.owl as suffixes for
	RDF files (Closes: #8389)

2007-02-02  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Matt Good <matt+fdo@matt-good.net>
	to add the eMusic download package mime-type and magic (Closes: #8105)

2007-02-02  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Andy Hedges
	<tmp1@hedges.net> to add more magic for the QuickTime files
	(Closes: #8936)

2007-02-02  Bastien Nocera  <hadess@hadess.net>

	* po/POTFILES.skip: Patch from Torsten Schönfeld to add
	update-mime-database.c to the skipped files, as it was never
	translated anyway (Closes: #9565)

2007-02-02  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am:
	* shared-mime-info.pc.in: Patch from Ville Skyttä <ville.skytta@iki.fi>
	to move the shared-mime-info pkgconfig file to $(datadir), as it doesn't
	contain any arch-specific data (Closes: #9789)

2007-02-02  Bastien Nocera  <hadess@hadess.net>

	* configure.in:
	* po/LINGUAS: Patch from Christian Persch to use po/LINGUAS
	to list the translated languages (Closes: #9619)

2007-02-02  Bastien Nocera  <hadess@hadess.net>

	* update-mime-database.c: (open_or_die), (main): Patch from
	Yevgen Muntyan <muntyan@tamu.edu> to avoid abort()'ing when
	we can't open a specific file for writing (Closes: #9580)

2007-02-02  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am:
	* configure.in: Patch from Christian Persch to clean up the
	configure.in and Makefile.am files (Closes: #9618)

2007-02-02  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add application/x-bzip2 as an alias
	for bz2 archives, as used on Sourceforge, patch by Loïc Minier
	<lool+freedesktop@via.ecp.fr> (Closes: #9737)

2007-02-02  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Loïc Minier
	<lool+freedesktop@via.ecp.fr> to recognise Makefiles
	with shebang magic as well as name (Closes: #9738)

2007-02-02  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in:
	* po/az.po:
	* po/bg.po:
	* po/cs.po:
	* po/cy.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/hu.po:
	* po/it.po:
	* po/ja.po:
	* po/ko.po:
	* po/lt.po:
	* po/ms.po:
	* po/nb.po:
	* po/nl.po:
	* po/nn.po:
	* po/pl.po:
	* po/pt.po:
	* po/pt_BR.po:
	* po/ru.po:
	* po/rw.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_TW.po: s/CPIP/CPIO/ (Closes: #9814)
	Spotted by Goran Uddeborg <goeran@uddeborg.se>

2007-02-02  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: lower the prio of the audio/x-matroska to 50,
	so that detection can happen based on suffix as well

2007-02-02  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Ville Skyttä <ville.skytta@iki.fi>
	to use the preferred Matroska mime-types, add Matroska audio support
	(Closes: #9788)

2007-02-02  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Move *.ram to application/ram, patch
	from Daniel Yek <dyek@real.com> (Closes: #9750)

2007-02-02  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Make PGM, PBM and PPM sub-classes
	of PNM (RH #118847)

2007-02-01  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Bill Alexander
	<billtrash@gmail.com> to add application/x-msexcel as an
	alias for Excel files (RH #197887)

2007-01-23  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: add the audio/x-tta mime-type

2007-01-15  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add magic for NSC

2007-01-15  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Microsoft says that NSC (multicast playlists)
	are also of type "video/x-ms-asf":
	http://www.microsoft.com/windows/windowsmedia/howto/articles/webserver.aspx

2007-01-15  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: fix typo that broke the build

2007-01-15  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Paolo Borelli to add the
	text/x-rpm-spec mime-type for RPM .spec files (Closes: #9331)

2007-01-12  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add image/x-icns mime-type for MacOS X icons

2007-01-05  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add *.kar (Karaoke files) as a pattern for
	MIDI files, video/mp4v-es is a mime-type for MPEG-4 video,
	video/x-ms-wvx, video/x-ms-wax and video/x-ms-wmx added as aliases of ASX,
	Add vivo patterns and mime alias, add FLI mime aliases, add video/x-ms-wm
	as an alias of video/x-ms-asf

2006-12-15  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: Add gzip/bz2 types for DVI, PDF and
	PostScript. Fixes #4658. Thanks to Bas Zoetekouw <bas@debian.org>

2006-12-11  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add application/pls as an alias for pls files

2006-12-01  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add the Google Video Pointer mime-types
	(alias'ed to text/google-video-pointer)

2006-12-01  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: add "video/flv" as an alias for FLV videos,
	as used by YouTube's HTTP server

2006-11-14  Christopher Aillon  <caillon@redhat.com>

	* freedesktop.org.xml.in: alias image/pdf to application/pdf

2006-10-11  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: add RTSPtextRTSP-style movie references
	to the application/x-quicktime-media-link mime-type (see GNOME #302482)

2006-10-01  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: add image/x-macpaint for
	"MacPaint Bitmap image"

2006-08-26  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add *.latex as a pattern for TeX documents
	(Closes: #6235)

2006-08-25  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add text/javascript as an alias to
	application/javascript, spotted by Ville Skyttä <ville.skytta@iki.fi>
	(Closes: #6616)

=== shared-mime-info 0.19 ===

2006-08-25  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 0.19

2006-08-25  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: patch from Stephane Chauveau
	<spam70@chauveau-central.net> and Eugenia Loli-Queru
	<eloli@hotmail.com> to add many raw image types from digital cameras
	(Closes: #4117)

2006-08-25  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add a mime-type for musepack, patch from
	Pino Toscano <toscano.pino@tiscali.it> (Closes: #6408)

2006-08-25  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add ECMAScript mime-type
	(application/ecmascript), patch by Ville Skyttä
	<ville.skytta@iki.fi> (Closes: #6616)

2006-08-25  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Use text/csv rather than
	text/x-comma-separated-values, patch by Ville Skyttä
	<ville.skytta@iki.fi> (Closes: #6616)

2006-08-25  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Use application/javascript rather than
	application/x-javascript, patch by Ville Skyttä <ville.skytta@iki.fi>
	(Closes: #6616)

2006-08-25  Bastien Nocera  <hadess@hadess.net>

	* README: Add some reference links

2006-08-25  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Pino Toscano
	<toscano.pino@tiscali.it> to add the application/sieve mime-type
	for Sieve scripts (Closes: #6572)

2006-08-25  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add text/x-ocaml as a mime-type for OCaml
	files (Closes: #7836)

2006-08-25  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: add application/x-debian-package as an alias
	for application/x-deb, as used by Apache, spotted by Gustavo
	J. A. M. Carneiro <gjc@inescporto.pt> (Closes: #6303)

2006-08-25  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: add *.dtx and *.ins as possible patterns
	for TeX files, spotted by Thomas Braun <braun@physik.fu-berlin.de>
	(Re: #6235)

2006-08-25  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Fix the magic offset for M4A files, spotted
	by thrope <freedesktop@robince.ftml.net> (Closes: #7718)

2006-08-25  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am: add "check" to the default target when compiling from
	CVS
	* freedesktop.org.xml.in: Change application/x-jar to the SUN-
	recommended application/x-java-archive, add an alias for the former,
	Add better conditional magic to tell zip files and .jars apart,
	Thanks to Joseph Kowalski <jek3@eng.sun.com> for his detailed report
	(Closes: #7852)

2006-08-25  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Wouter Bolsterlee
	<uws+freedesktop@xs4all.nl> with better magic for BZR generated
	patch files, and those starting with "---" (Closes: #7890)

2006-08-25  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Patch from Wouter Bolsterlee
	<uws+freedesktop@xs4all.nl> to add better magic for TeX files
	(Closes: #7891)

2006-08-24  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: add audio/AMR and audio/AMR-WB as per
	RFC 3267, using the magic in section 8.1

2006-08-12  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: *.qtl files are
	QuickTime Media Links as per
	http://developer.apple.com/documentation/QuickTime/QT6WhatsNew/Chap1/chapter_1_section_53.html

2006-08-07  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Move the Quicktime metalink magic
	to its own mime-type: application/x-quicktime-media-link

2006-07-14  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: add application/x-snes-rom and
	application/x-gba-rom types for SNES and GBA Roms (Closes: #7511)

2006-07-09  Bastien Nocera  <hadess@hadess.net>

	* shared-mime-info.pc.in: patch from foser@gentoo.org to use
	the paths specified at build-time in the pkgconfig file
	(Closes: #6437)

2006-07-09  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: add description and acronym to the
	GDBM mime-type (Closes: #6353)

2006-07-09  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: add *.mo as a glob for
	application/x-gettext-translation (Closes: #6351)

2006-07-09  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: patch from Arthur Taylor <art@ified.ca> to
	add magic to most tracker files, and remove a duplicate *.xm glob
	(Closes: #6372)

2006-07-09  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: remove the magic for
	application/octet-stream, it's silly (Closes: #4843)

2006-07-09  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: patch from Matthias Clasen
	<mclasen@redhat.com> to match Type1 fonts higher than Postscript files
	(Closes: #4675)

2006-07-09  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: add magic for audio/ac3 (Closes: #6509)

2006-07-09  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add audio/x-ape mime-type for
	Monkey's audio (Closes: #6747)

2006-07-09  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am: remove po/stamp-it on "make clean" (Closes: #6485)

2006-07-09  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: remove the wide *.dat glob from matching
	MPEG videos (Closes: #2788)

2006-07-09  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: add text/x-txt2tags to the mime-type
	so that we can whitelist it (not a Postscript!) (Closes: #2001),
	lower the priority of the application/mbox magic to avoid false
	positives

2006-07-09  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: add application/mbox for the MBOX mailboxes
	(Closes: #2052)

2006-07-03  Christian Neumair  <chris@gnome-de.org>

	* po/Makefile.in.in: Remove from CVS. Fixes #7255.
	Thanks to Christian Persch <chpe@gnome.org>.

2006-07-03  Christian Neumair  <chris@gnome-de.org>

	* fredesktop.org.xml.in: Add VHDL MIME type. Fixes #7329.
	Thanks to George Jenkins <gvj11@student.canterbury.ac.nz>.

2006-07-03  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: Add application/powerpoint and
	application/mspowerpoint as PPT alias. Fixes #7407.
	Thanks to Frederic Crozat <fcrozat@mandriva.com>.

=== shared-mime-info 0.18 ===

2006-07-03  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 0.18

2006-06-19  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: *.mpga is also a pattern for MP3
	(Closes GNOME #345306)

2006-05-14  Bastien Nocera  <hadess@hadess.net>

	* .cvsignore: upd

2006-05-14  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: add support for XSPF version 1 playlists
	(see http://www.xspf.org/specs/)

2006-05-14  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: patch from Stanislav Brabec <sbrabec@suse.cz>
	to clarify C, C++, C# and ObjC headers and sources (Closes: #6743)

2006-05-09  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: lower priority of "%" magic patterns to 10.

2006-04-19  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: .wax is a suffix for ASX playlists as well

2006-04-18  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Remove "no" from ALL_LINGUAS

2006-04-16  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Make audio/x-ms-asx's magic higher priority
	than HTML to avoid matching HTML on "<TITLE" present in an ASX file
	(Closes GNOME #338328 and #338515)

2006-04-14  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: .asx files are of audio/x-ms-asx, not ASF
	files

2006-04-05  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: Remove "application/pdf" subclassing
	information. Thanks to Sebastien Bacher and Bastien Nocera.

2006-04-05  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: Rename "text/rss" to
	"application/rss+xml", make "text/rss" an alias, make it a subclass of
	"application/xml".  Thanks to Sebastien Bacher.

2006-04-05  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: Make "application/postscript",
	a subclass of "text/plain". Thanks to Sebastian Heutling,
	Tristan Wibberley and Sebastien Bacher.

	Add missing sub-classing information to a few dozen other
	MIME types, including "application/rtf", "application/pdf",
	ODF and OOo MIME types.

	* Makefile.am:
	* test-subclassing.c:
	Add simple XML parser that checks for presence of "sub-class-of"
	nodes in freedesktop.org.xml and outputs MIME types that don't
	provide the flag.

2006-03-18  Miloslav Trmac  <mitr@volny.cz>

	* configure.in: Add "lt" (Lithuanian) to ALL_LINGUAS.

2006-03-15  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add a mime-type for WMA (Closes: #2178),
	and make it and WMV sub-classes of ASF (Closes: #2051), patches from
	Stanislav Brabec <sbrabec@suse.cz>

2006-03-15  Bastien Nocera  <hadess@hadess.net>

	* configure.in: also install the Danish translation, patch from 
	Stanislav Brabec <sbrabec@suse.cz> (Closes: #2051)

2006-03-15  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add *.qtl glob for Quicktime Links files
	(from http://developer.apple.com/documentation/QuickTime/QT6WhatsNew/Chap1/chapter_1_section_53.html)

=== shared-mime-info 0.17 ===
2006-03-14  Bastien Nocera  <hadess@hadess.net>

	* .cvsignore: upd
	* configure.in: 0.17
	* NEWS: upd

2006-03-13  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add Quicktime Media Link magic to
	video/quicktime

2006-03-13  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add "application/x-srt" for .srt subtitle
	files, and make them a subclass of text/plain

2006-03-09  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: make "x-directory/normal" an alias for
	"inode/directory".

2006-03-09  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: make "application/x-cue" a subclass of
	"text/plain". Fixes GNOME #334008. Thanks to Stefan Jol.

2006-03-02  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: make "text/rdf" a subclass of
	"application/xml" instead of "text/plain". Fixes GNOME #331468.
	Thanks to Luca Ferretti.

2006-03-02  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: make "application/x-abiword" a subclass of
	"application/xml". Fixes GNOME #333158/Launchpad #33301.
	Thanks to Lionel Dricot and Sebastien Bacher.

2006-03-02  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: also add the .divx suffix to AVI

2006-03-02  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: add video/vnd.divx as an alias for AVI files
	(as used on the divx.com website)

2006-02-21  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: add "application/x-gnuplot". Fixes #5455.
	Thanks to Triastan Miller.

2006-02-21  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: fix "application/x-tex-gf" and
	"application/x-tex-pk" globs. Fixes #5373. Thanks to Jens Herden.

2006-02-21  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: remove "makefile*" glob from
	"text/x-makefile". Fixes #3256. Thanks to Björn Lindqvist.

2006-02-21  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: merge ICB and TGA into TGA MIME type, add
	some more extensions. Fixes #1276. Thanks to Filip Van Raemdonck.

2006-02-21  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: add "application/x-planperfect" MIME type.
	Fixes #3148.

2006-02-20  Miloslav Trmac  <mitr@volny.cz>

	* configure.in: Add "vi" (Vietnamese) to LINGUAS.

2006-02-19  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: also add "%" glob pattern to "text/x-tex".
	Still requires xdgmime fixes to not conflict with matlab:
	http://bugzilla.gnome.org/show_bug.cgi?id=331719

2006-02-07  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: fixed the typo that made it uninstallable

2006-02-04  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Remove "sub-class" association with
	text/plain for mime-types that it doesn't make sense to open in a
	text editor, see for details:
	http://lists.freedesktop.org/archives/xdg/2005-June/007032.html

2006-02-04  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: add *.nfo as a pattern for README files

2006-02-01  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: add image/pjpeg as an alias for image/jpeg

2006-01-26  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: don't expect a trailing space when looking
	for the SMIL magic (GNOME bug #328720)

2006-01-09  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: add Flash Video support, with the
	Macromedia recommended mime-type (flv-application/octet-stream)
	being an alias

2006-01-04  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add video/dv detection

2005-01-03  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: Add Objective-C, C and C header magic
	patterns, add matlab MIME type and magic patterns. Fixes #3971.

2005-12-31  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: Add XML-style comment magic pattern to XML
	MIME type.

2005-12-25  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: Make "audio/3gpp" an alias for "video/3gpp".
	Fixes #5419. Thanks to Thiago Macieira and GML.

2005-12-19  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: Add CBR/CBZ MIME types "application/x-cbr"
	and "application/x-cbz". Fixes #3122. Thanks to Paul Coates, Nickolay
	V. Shmyrev and Olivier Le Thanh Duong.

2005-12-19  Matthias Clasen  <mclasen@redhat.com>

	* update-mime-database.c (write_magic_cache): Reset the match data
	offset when starting to write out match datas, pointed out by
	Alex Larsson.

2005-12-17  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: search a bit further in ASF playlists
	(GNOME bug #323683)

2005-12-16  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: Add ChangeLog MIME type "text/x-changelog".
	Fixes #5355. Thanks to Björn Lindqvist and Paolo Borelli.

2005-12-02  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: Modify Ogg-related MIME types to match the
	XML naming pattern. Thanks to Peter Bowen.

2005-12-01  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: Add Ogg-related MIME types:
	"audio/x-vorbis", "audio/x-oggflac", "audio/x-speex", "video/x-theora"
	and "video/x-ogm". Make them subtypes of "application/ogg".
	Fixes #1002.

2005-12-01  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: Make "application/x-mozilla-bookmarks"
	subtype of "text/html". Fixes #3169. Thanks to Reinout van Schouwen.

2005-12-01  Matthias Clasen  <mclasen@redhat.com>

	* shared-mime-info-spec.xml: Add acronym and expanded-acronym
	elements, add recommendations for handling duplicate globs.
	Specify how duplicate globs are stored in mime.cache.

	* update-mime-database.c (process_freedesktop_node): Allow 
	identical globs.
	(insert_suffix): Store duplicate globs in the suffix tree
	by using '\0' as a key.

2005-12-01  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: Rename "text/xml" to "application/xml", make
	the former an alias. Improve SVG, TIFF and JNG comments.
	Thanks to Eric van der Vlist.

2005-11-16  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: Rename "application/x-troff" to
	"text/troff", make the latter an alias, also add "text/x-troff" alias.
	Fixes #5072. Thanks to Tristan Miller.

2005-11-14  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: Add Mup MIME type ("text/x-mup"). Fixes
	#2531. Thanks to Abel Cheung.

2005-11-01  Bastien Nocera  <hadess@hadess.net>

	* README: Fix the URLs to point to the right specs, pointed out
	by Tommi Vainikainen <thv@iki.fi> (Closes: #4041)

2005-11-01  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Add *.svgz as a glob for SVG files, from
	Luca Ferretti <elle.uca@libero.it> (Closes: #4836)
	* config.h.in: removed, it is a generated file

2005-10-30  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: split SQLite MIME type into two. Thanks to
	Jarosław Staniek. Fixes #3178.

2005-10-30  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: make "application/x-lyx" subclass of
	"text/plain" and add "text/x-lyx" as alias. Thanks to Filip Van
	Raemdonck and Abel Cheung. Fixes #1269.

2005-10-30  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: make "application/x-font-type1" subclass of
	"application/postscript". Thanks to Stephane Loeuillet. Fixes #1161.

2005-10-30  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: change dBASE comment, add aliases.
	Thanks to J.H.M Dassen. Fixes #3147.

2005-10-30  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: add Lotus 1-2-3 aliases. Thanks to J.H.M
	Dassen. Fixes #3144.

2005-10-30  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: add dia magic pattern. Thanks to J.H.M
	Dassen. Fixes #3142.

2005-10-29  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: add a bunch of Real formats, remove real
	audio glob since it breaks metafiles. Thanks to Ryan Gammon. Fixes
	#2342.

2005-10-29  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: add "*.kino" glob pattern, and magic
	patterns to "application/smil". Thanks to J.H.M Dassen. Fixes #3141.

2005-10-29  Christian Neumair  <chris@gnome-de.org>

	* .cvsignore: add freedesktop.org.xml.
	* freedesktop.org.xml: remove from CVS, since it is auto-generated on
	make dist.

2005-10-29  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: add "application/x-m4" MIME type. Thanks to
	Macro Pesenti Gritti. Fixes #2049.

2005-10-29  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: add a bunch of aliases for
	"application/vnd.ms-access", change its description. Thanks to
	Jarosław Staniek. Fixes #3179.

2005-10-29  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: add "application/x-go-sgf" MIME type. Thanks
	to Peter Lundqvist. Fixes #592.

2005-10-29  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: add "application/x-sqlite" MIME type. Thanks
	to Jarosław Staniek. Fixes #3178.

2005-10-29  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: improve docbook, JNLP and GEDCOM description.

2005-10-29  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: don't mark <acronym/> and
	<expanded-acronym/> for translation.

2005-10-29  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: make "application/mathematica" subclass of
	"text/plain". Thanks to Shaun McCance. Fixes #4345.

2005-10-29  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: fix corel draw magic string, add aliases.
	Thanks to Stewart Jeacocke. Fixes #3136.

2005-10-29  Christian Neumair  <chris@gnome-de.org>

	* update-mime-database.c: (process_freedesktop_node):
	process <acronym/> and <expanded-acronym/>.

2005-10-29  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: add "GNUmakefile" pattern to
	"text/x-makefile". Fixes #4334.

2005-10-29  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: add comment to "application/x-sc", by J.H.M.
	Dassen. Fixes #3146.

2005-10-29  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: register "application/x-mathematica" as
	alias for "application/mathematica". Fixes #4403.

2005-10-29  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.org.xml.in: add <acronym/> and <expanded-acronym/> tags.
	Use shorter text for many <comment/> tags.

2005-10-22  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: add m4v as a possible extension for video
	MPEG4, and add video/x-m4v as an alias for video/mp4

2005-10-22  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: add text/gedcom as an alias for
	application/x-gedcom

2005-05-31  Antonio Xu <antonio.xu@sun.com>

	Reviewed by: Bastien Nocera <hadess@hadess.net>
 
	* freedesktop.org.xml.in: add one more pattern "Return-path" for
	message/rfc822

2005-09-11  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml: add audio/mpegurl as an alias to
	audio/x-mpegurl

2005-08-26  Christopher Aillon  <caillon@redhat.com>

	* freedesktop.org.xml.in: text/css subclasses text/plain

2005-08-10  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: increase priority of the docbook magic
	for it to take precedence over suffixes

2005-08-09  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: Make the application/mathematica comment
	translatable, patch from Christopher James Lahey <clahey@novell.com>
	and Luis Villa <luis.villa@gmail.com> for docbook support

2005-07-25  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml: add video/3gpp with associated magic
	(from: http://www.faqs.org/rfcs/rfc3839.html)

2005-07-24  Thomas Leonard  <tal@ecs.soton.ac.uk>

	* freedesktop.org.xml: sync
	* freedesktop.org.xml.in: made application/x-awk and x-shellscript
	both subclass application/x-executable

2005-07-13  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml: sync
	* freedesktop.org.xml.in: add magic data to recognise asf reference
	files (with the same mime-type as asf video files, go MS)

2005-05-30  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: add the "application/x-shorten" mime-type
	to represent Shorten lossless audio files

2005-04-17  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: change audio/x-m4a mime-type to audio/mp4,
	add audio/x-m4a as an alias, add video/mp4 detection
	(from: http://www.ietf.org/internet-drafts/draft-lim-mpeg4-mime-03.txt)

2005-04-16  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: add application/x-gedcom as a mime-type
	for GEDCOM family history files

2005-04-16  Christophe Fergeau  <teuf@gnome.org>

	* freedesktop.org.xml:
	* freedesktop.org.xml.in: improved mathematica magic, fixes #2660

2005-04-16  Christophe Fergeau  <teuf@gnome.org>

	* freedesktop.org.xml.in: added magic for mathematica notebooks
	* freedesktop.org.xml:
	* po/Makefile.in.in: updated autogenerated files

2005-04-16  Christophe Fergeau  <teuf@gnome.org>

	* .cvsignore:
	* freedesktop.org.xml.in: use application/xslt+xml for xslt
	stylesheets, maybe it will need to be changed to text/xml or
	application/xml, I'm unsure about what's best, this is bug #2928

2005-04-16  Christophe Fergeau  <teuf@gnome.org>

	* .cvsignore: minor update, fixes #2091, patch by Loic Minier

2005-04-16  Christophe Fergeau  <teuf@gnome.org>

	* freedesktop.org.xml.in: added magic pattern and glob pattern for
	ruby files, patch by Ilmari Heikkinen, fixes #2154

2005-04-16  Christophe Fergeau  <teuf@gnome.org>

	* freedesktop.org.xml.in: added mime type for 7-zip

2005-04-16  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml: sync with freedesktop.org.xml.in content
	* freedesktop.org.xml.in: add ".RMF" as a  magic for RealMedia
	files, also add the rmvb suffix for "Real Media Variable Bitrate" files

2005-04-16  Christophe Fergeau  <teuf@gnome.org>

	* freedesktop.org.xml.in: added application/vnd.ms-access, patch from
	Ed Catmur, fixes bug #2619

2005-04-16  Christophe Fergeau  <teuf@gnome.org>

	* freedesktop.org.xml.in: added more extensions for fortran programs,
	patch by John Spray, fixes #2623

2005-04-16  Christophe Fergeau  <teuf@gnome.org>

	* freedesktop.org.xml.in: marked image/x-eps as a subclass of 
	  PostScript files, fix part of bug #2686

2005-04-16  Christophe Fergeau  <teuf@gnome.org>

	* freedesktop.org.xml.in: added *.hpp glob to C++ headers, fixes #2923

2005-04-16  Christophe Fergeau  <teuf@gnome.org>

	* update-mime-database.c: (my_xmlGetNsProp), (get_type),
	(match_node), (get_priority), (add_namespace),
	(process_freedesktop_node), (has_lang), (remove_old), (load_type),
	(load_source_file), (atomic_update), (match_offset),
	(match_value_and_mask), (match_word_size), (build_matches),
	(add_ns), (add_alias), (write_header), (write_magic_cache):
	fix signedness warnings in gcc, maybe it would be better to just
	disable that warning

2005-04-15  Miloslav Trmac  <mitr@volny.cz>

	* configure.in: Added "zh_TW" (traditional Chinese) to ALL_LINGUAS.

2005-04-14  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml: sync with freedesktop.org.xml.in content
	* freedesktop.org.xml.in: added application/x-cue as the CD image
	cuesheet mime-type

2005-04-14  Miloslav Trmac  <mitr@volny.cz>

	* configure.in: Added "rw" (Kinyarwanda) to ALL_LINGUAS.

Fri Apr  8 23:34:27 2005  Jonathan Blandford  <jrb@redhat.com>

	* update-mime-database.c: Patch from Matthias Clasen
	<mclasen@redhat.com> to adjust one offset after adding the
	namespace table.  Produced cache now works.

2005-04-07  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am: work-around for old versions of automake

Fri Apr  1 14:33:54 2005  Jonathan Blandford  <jrb@redhat.com>

	* shared-mime-info-spec.xml:
	* update-mime-database.c: Patch from Matthias Clasen
	<mclasen@redhat.com> to make the MIME Cache contain an mmappable
	binary format.

=== shared-mime-info 0.16 ===
Tue Mar 22 14:33:31 2005  Jonathan Blandford  <jrb@redhat.com>

	* NEWS:
	* freedesktop.org.xml:
	* configure.in: Release 0.16
	
2005-03-20  Miloslav Trmac  <mitr@volny.cz>

	* configure.in: Added "ru" (Russian) to ALL_LINGUAS.

2005-03-19  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml: sync with freedesktop.org.xml.in content
	* freedesktop.org.xml.in: added StuffIt archives

Thu Mar 10 11:55:21 2005  Jonathan Blandford  <jrb@redhat.com>

	* freedesktop.org.xml: sync with freedesktop.org.xml.in content
	* freedesktop.org.xml.in: Add OpenDocumentText formats.

2005-01-21  Miloslav Trmac  <mitr@volny.cz>

	* configure.in: Added "nb" (Norwegian (bokmål)) to ALL_LINGUAS.

2005-01-16  Christophe Fergeau  <teuf@gnome.org>

	* configure.in: added it to ALL_LINGUAS

2004-12-10  Christophe Fergeau  <teuf@gnome.org>

	* freedesktop.org.xml.in: added many sub-class-of definitions, patch
	by David Faure <faure@kde.org>, fixes #619.

2004-12-10  Christophe Fergeau  <teuf@gnome.org>

	* freedesktop.org.xml: sync with freedesktop.org.xml.in content
	* freedesktop.org.xml.in: fixed malformed XML doc

2004-12-10  Christophe Fergeau  <teuf@gnome.org>

	* freedesktop.org.xml.in: Cleanup for "text executable" types
	(shellscripts and other scripts). Patch from David Faure
	(faure@kde.org), fixes #618.

2004-12-10  Christophe Fergeau  <teuf@gnome.org>

	* freedesktop.org.xml.in: fix vCard and vCalendar mime types and glob
	patterns

2004-12-10  Christophe Fergeau  <teuf@gnome.org>

	* freedesktop.org.xml.in: added mime entry for D source files, fixes
	#676

2004-12-10  Christophe Fergeau  <teuf@gnome.org>

	* freedesktop.org.xml.in: added audio/wav and audio/vnd.wave aliases
	for wav files, fixes #1885

2004-12-10  Christophe Fergeau  <teuf@gnome.org>

	* freedesktop.org.xml.in: text/xml+html is a subclass of text/xml, not
	text/plain

2004-12-10  Christophe Fergeau  <teuf@gnome.org>

	* freedesktop.org.xml.in: use application/msword as the main type
	for MS/Word files

2004-12-10  Christophe Fergeau  <teuf@gnome.org>

	* freedesktop.org.xml.in: fix entry about DICOM, fixes bug #1310,
	patch from Artur Frysiak <wiget@pld-linux.org>

2004-12-10  Christophe Fergeau  <teuf@gnome.org>

	* freedesktop.org.xml.in: added audio/x-m4a, fixes #584

2004-12-10  Christophe Fergeau  <teuf@gnome.org>

	* freedesktop.org.xml.in: move a few definitions to get an
	alphabetically ordered file.

2004-12-10  Christophe Fergeau  <teuf@gnome.org>

	* freedesktop.org.xml.in: change application/x-python to
	text/x-python, fixes #208, please complain if you think this is wrong.

2004-12-09  Christophe Fergeau  <teuf@gnome.org>

	* po/Makefile.in.in: sync with upstream changes

2004-12-09  Christophe Fergeau  <teuf@gnome.org>

	* freedesktop.org.xml:
	* freedesktop.org.xml.in: back out DTD change which wasn't expected in
	the first place.

2004-12-08  Christophe Fergeau  <teuf@gnome.org>

	* freedesktop.org.xml:
	* freedesktop.org.xml.in: added application/x-zip-compressed as an 
	alias to application/zip.

2004-12-08  Christophe Fergeau  <teuf@gnome.org>

	* Makefile.am: don't override CFLAGS, fixes #2033

2004-12-08  Christophe Fergeau  <teuf@gnome.org>

	* freedesktop.org.xml:
	* freedesktop.org.xml.in: change main mp3 mime type to audio/mpeg,
	add audio/x-mp3 as an alias for this mime type.

2004-12-02  Dan Winship  <danw@novell.com>

	* Makefile.am (CLEANFILES, DISTCLEANFILES): Fix. intltool stuff
	shouldn't be in CLEANFILES, or "make clean; make" will fail
	(#1845)

2004-12-02  Christophe Fergeau  <teuf@gnome.org>

	* freedesktop.org.xml:
	* freedesktop.org.xml.in: mark glade files as inheriting from 
	text/xml, not text/plain

2004-11-28  Christophe Fergeau  <teuf@gnome.org>

	* freedesktop.org.xml: sync'ed file with freedesktop.org.xml.in
	* freedesktop.org.xml.in: fixed entry for jnlp files

2004-11-26  Christophe Fergeau  <teuf@gnome.org>

	* freedesktop.org.xml.in: added application/x-java-jnlp-file, fixes 
	#1118

2004-11-26  Christophe Fergeau  <teuf@gnome.org>

	* update-mime-database.c: (parse_int_value), (match_offset): use 
	strtoul when reading an unsigned long, not strtol, fixes #1506

2004-11-26  Christophe Fergeau  <teuf@gnome.org>

	* update-mime-database.c: (parse_int_value): take value endianness
	into account when reading the "mask" tag, fixes #1507.

Tue Nov  9 01:52:52 2004  Jonathan Blandford  <jrb@redhat.com>

	* update-mime-database.c: Patch from Matthias Clasen to generate
	subclass and alias files.

	* shared-mime-info-spec.xml.in: update the spec to mention the
	subclasses and aliases files.

2004-11-04  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml:
	* freedesktop.org.xml.in: add magic for the audio/x-mpegurl mime-type

2004-11-01  Christophe Fergeau  <teuf@gnome.org>

	* freedesktop.org.xml:
	* freedesktop.org.xml.in: sync freedesktop.org.xml with
	freedesktop.org.xml.in, fix freedesktop.org.xml.in to make it valid
	XML

2004-11-01  Christophe Fergeau  <teuf@gnome.org>

	* freedesktop.org.xml.in: Added application/mathematica, patch by Chris
	Maes <i-chris@wolfram.com>, fixes #870

2004-11-01  Christophe Fergeau  <teuf@gnome.org>

	* freedesktop.org.xml.in: Added application/x-chm, patch by Loic
	Minier <lool+freedesktop@dooz.org>, fixes #794 

2004-11-01  Christophe Fergeau  <teuf@gnome.org>

	* freedesktop.org.xml.in: Added application/x-pdf alias, fixes #560

2004-11-01  Christophe Fergeau  <teuf@gnome.org>

	* freedesktop.org.xml.in: Added application/x-par2, patch by dob 
	<abusenospam@free.fr>, fixes #750

2004-11-01  Christophe Fergeau  <teuf@gnome.org>

	* freedesktop.org.xml.in: Improve lotus 123 files magic pattern. Patch
	by Filip Van Raemdonck <mechanix@debian.org>, fix #1276.

Mon Nov  1 14:49:57 2004  Jonathan Blandford  <jrb@redhat.com>

	* MAINTAINERS: New file to highlight that I'm no longer the
	maintainer.

Mon Nov  1 14:47:02 2004  Jonathan Blandford  <jrb@redhat.com>

	* autogen.sh: Patch from Thomas Fitzsimmons <fitzsim@redhat.com>
	to add support for building modules in separate build directories

2004-10-20  Bastien Nocera  <hadess@hadess.net>

	* freedesktop.org.xml.in: add magic for audio/x-scpls

2004-10-07  Miloslav Trmac  <mitr@volny.cz>

	* configure.in: Added "eo" (Esperanto) to ALL_LINGUAS.

2004-09-29  Christopher Aillon  <caillon@redhat.com>

       * freedesktop.org.xml.in: Add application/vnd.mozilla.xul+xml and
       make MathML inherit from XML.

2004-09-13  Christophe Fergeau  <teuf@gnome.org>

	* configure.in: Added "ms" (Malay) to ALL_LINGUAS

2004-09-10  Christophe Fergeau  <teuf@gnome.org>

	* configure.in: Added "ja" (Japanese) to ALL_LINGUAS

2004-09-10  Christophe Fergeau  <teuf@gnome.org>

	* configure.in: Added "pl" (Polish) to ALL_LINGUAS.

2004-09-10  Nico R. <n-roeser@gmx.net>

	* configure.in: fix substitution of ALL_CFLAGS and ALL_LIBS

2004-09-08  Miloslav Trmac  <mitr@volny.cz>

	* configure.in: Added "es" (Spanish) to ALL_LINGUAS.

2004-09-06  Miloslav Trmac  <mitr@volny.cz>

	* configure.in: Added "pt" (Portuguese) to ALL_LINGUAS.

	* configure.in: Added "uk" (Ukrainian) to ALL_LINGUAS.

2004-09-04  Miloslav Trmac  <mitr@volny.cz>

	* configure.in: Added "pt_BR" (Brazilian Portuguese) to ALL_LINGUAS.

	* configure.in: Added "eu" (Basque) to ALL_LINGUAS.

2004-09-03  Miloslav Trmac  <mitr@volny.cz>

	* configure.in: Added "bg" (Bulgarian) to ALL_LINGUAS.

2004-09-01  Miloslav Trmac  <mitr@volny.cz>

	* configure.in: Added "sq" (Albanian) to ALL_LINGUAS.

2004-08-31  Miloslav Trmac  <mitr@volny.cz>

	* configure.in: Add "zh_CN" (simplified Chinese) to ALL_LINGUAS.

=== shared-mime-info 0.15 ===

2004-08-30  Christophe Fergeau  <teuf@gnome.org>

	* Makefile.am:
	* configure.in: use m4 macros provided by pkg-config instead of using
	  our own

2004-08-30  Christophe Fergeau  <teuf@gnome.org>

	* NEWS:
	* configure.in: raised version number, updated NEWS file

2004-08-27  Ole Laursen  <olau@hardworking.dk>

	* configure.in: Added "el" (Greek) to ALL_LINGUAS.

2004-08-17  Christophe Fergeau  <teuf@gnome.org>

	* mkinstalldirs: add to CVS since it's no longer installed by automake
	  fixes bug #576

2004-08-17  Christophe Fergeau  <teuf@gnome.org>

	* configure.in: added ko to ALL_LINGUAS

2004-08-16  Alexander Larsson  <alexl@redhat.com>

	* freedesktop.org.xml.in:
	Make x-gnome-app-info alias x-desktop.

2004-08-12  Alexander Larsson  <alexl@redhat.com>

	* freedesktop.org.xml.in:
	Inherit text file types from text/plain

Thu Jul 29 13:28:32 2004  Jonathan Blandford  <jrb@gnome.org>

	* freedesktop.org.xml.in: add application/x-wordperfect and
	application/wordperfect as aliases to application/vnd.wordperfect,
	#914

2004-07-25  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.xml.in: Add "*.exe" glob pattern to
	application/x-ms-dos-executable, raise magic priority over
	application/x-executable.

Fri Jul  9 12:24:04 2004  Thomas Leonard  <tal00r@ecs.soton.ac.uk>

	* freedesktop.org.xml.in: Merged the two msword types by making them
	aliases. Same thing for the two msexcel types and the two realaudio
	types (part of patch from David Faure, in #619).

Fri Apr 23 11:44:23 2004  Jonathan Blandford  <jrb@gnome.org>

	* freedesktop.org.xml.in: Added text/x-xmi, #543

2004-04-11  Christian Neumair  <chris@gnome-de.org>

	* freedesktop.xml.in: Added *.abw.CRASHED glob pattern to
	application/x-abiword, added text/x-gettext-translation-template,
	added match tag to application/vnd.ms-powerpoint.

2004-04-06  Christian Neumair  <chris@gnome-de.org>

	* configure.in (ALL_LINGUAS): Added German (de).

Tue Mar 23 14:35:47 2004  Thomas Leonard  <tal00r@ecs.soton.ac.uk>

	* freedesktop.org.xml.in: Added application/x-javascript type.

Tue Mar 23 02:09:23 2004  Jonathan Blandford  <jrb@gnome.org>

	* configure.in (GETTEXT_PACKAGE): add cs.po
	* po/cs.po: New po file.

Sun Mar 21 23:07:24 2004  Jonathan Blandford  <jrb@gnome.org>

	* NEWS: darnit.  I didn't save the NEWS file before
	tagging/releasing.  Updated for CVS.

Sun Mar 21 22:39:58 2004  Jonathan Blandford  <jrb@gnome.org>

	* configure.in: version 0.14

	* freedesktop.org.xml.in: upped the mozilla/netscape bookmarks
	priority.

	* freedesktop.org.xml.in: change xbell to x-xbel, #195

	* freedesktop.org.xml.in: Add matroska video mime type.  Patch
	from Johan Fischer <linux@fischaz.com>, #301

Sun Mar 21 17:50:21 2004  Jonathan Blandford  <jrb@gnome.org>

	* configure.in (GETTEXT_PACKAGE): add az.po
	* po/az.po: New po file.

2004-03-19  Alexander Larsson  <alexl@redhat.com>

	* freedesktop.org.xml.in:
	application/x-archive needs lower prio than application/x-deb

Fri Mar 19 01:31:44 2004  Jonathan Blandford  <jrb@gnome.org>

	* configure.in (GETTEXT_PACKAGE): add cy.po
	* po/cy.po: New po file.

2004-03-05  Alexander Larsson  <alexl@redhat.com>

	* freedesktop.org.xml.in:
	Change C# mimetype to text/x-csharp (bug #231)

2004-03-03  Alexander Larsson  <alexl@redhat.com>

	* freedesktop.org.xml.in:
	Add C# mimetype
	Add application/x-ole-storage mimetype, remove
	OLE storage match from application/msword, since it
	matches all sorts of document types using OLE.

Mon Feb 23 23:35:37 2004  Jonathan Blandford  <jrb@gnome.org>

	* po/no.po: new file from Kjartan Maraas.

Sun Feb 22 17:47:39 2004  Thomas Leonard  <tal00r@ecs.soton.ac.uk>

	* freedesktop.org.xml.in: add types from ImageMagick (patch
	from Guido Schimmels).

Wed Feb 18 10:30:32 2004  Jonathan Blandford  <jrb@gnome.org>

	* freedesktop.org.xml.in: Patch from Shaun McCance to add .flac
	detection.

Mon Feb  2 11:45:05 2004  Thomas Leonard  <tal00r@ecs.soton.ac.uk>

	* freedesktop.org.xml.in: make MIME descriptions more consistent
	with each other (patch from Christian Neumair).

Wed Jan 21 14:28:16 2004  Jonathan Blandford  <jrb@gnome.org>

	* shared-mime-info.pc.in: add a package-config file

Tue Jan 20 10:22:44 2004  Jonathan Blandford  <jrb@gnome.org>

	* configure.in: Patch from Alex Larsson <alexl@redhat.com> to
	conditionally disable running update-mimedb for packages.

	* freedesktop.org.xml.in: Patch from Alex Larsson
	<alexl@redhat.com> to fix up RIFF and shell magic, as well as
	merging diff files and patch files.

Wed Jan 14 16:45:26 2004  Jonathan Blandford  <jrb@gnome.org>

	* configure.in: I already tagged CVS so I'm releasing 0.13.1 to
	get the intltool files.

	* Makefile.am: I wasn't including the intltool files correctly.
	Fixed.

Wed Jan 14 16:27:10 2004  Jonathan Blandford  <jrb@gnome.org>

	* configure.in: ...except version 0.12 was already released.
	Releasing lucky version 0.13.

Wed Jan 14 16:23:22 2004  Jonathan Blandford  <jrb@gnome.org>

	* configure.in: Released version 0.12.

	* Makefile.am: Make pass distcheck.

	* freedesktop.org.xml.in: Update DTD to deal with xml:lang

Tue Jan 13 16:32:03 2004  Jonathan Blandford  <jrb@gnome.org>

	* po/no.po: new translation

	* po/fr.po: Noticed it was in ISO8559-1.  Converted to UTF-8.

Mon Jan 12 13:39:45 2004  Jonathan Blandford  <jrb@gnome.org>

	* po/fi.po: new translation

	* po/fr.po: new translation

	* po/nn.po: new translation

Mon Jan 12 15:49:55 2004  Thomas Leonard <tal00r@ecs.soton.ac.uk>

	* freedesktop.org.xml.in: Updated DjVu entry (patch from
	  Stéphane Loeuillet).

Tue Dec 16 01:57:24 2003  Jonathan Blandford  <jrb@gnome.org>

	* Makefile.am: comment out the UTF-8 changes.  We don't build all
	that often as we keep the generated file in CVS, and most people
	won't build it.

	* autogen.sh: add an autogen.sh file, and clean up the build
	setup.

Tue Nov 18 10:12:38 2003  Jonathan Blandford  <jrb@redhat.com>

	* configure.in (GETTEXT_PACKAGE): add sv.po

Mon Nov 17 10:44:28 2003  Jonathan Blandford  <jrb@redhat.com>

	* po/nl.po: updated translation.

Thu Nov 13 17:47:52 2003  Jonathan Blandford  <jrb@redhat.com>

	* configure.in (GETTEXT_PACKAGE): add nl.po

	* po/nl.po: new translation.

Wed Nov 12 14:00:13 2003  Jonathan Blandford  <jrb@redhat.com>

	* configure.in: add hu.po and sv.po.  We're now building in
	translations.

Fri Nov  7 16:42:24 2003  Jonathan Blandford  <jrb@redhat.com>

	* configure.in: moved to intltool.  We now build translations from
	pot files.
